import React, {FC, useEffect, useState} from "react";
import Cookies from "js-cookie";
import {fetchUser} from "../api";
import {Spin,Button} from "antd";
import { SearchOutlined } from '@ant-design/icons';
import './../css/home.css'
import jt from './../assets/images/jt.png'
const Home: FC = () => {
  const [loading, setLoading] = useState<boolean>(false);
  const [user, setUser] = useState<UserResponse>();

  // 获取当前外部联系人信息
  const getUserInfo = async () => {
    // setLoading(true);
    // const userId = Cookies.get('userId')
    const userInfo:any = Cookies.get('userInfo')
    // const userInfo = await fetchUser(userId || '')

    setUser(JSON.parse(userInfo))
    // setLoading(false)
  }

  useEffect(() => {
    getUserInfo().then()
  }, [])

  return (
    <Spin spinning={loading}>
      <div>
        <h1>欢迎回来，{user ? user.name: ''}</h1>
      </div>
      <div className="flex">
        <span>用户看板</span>
        <Button type="primary" icon={<SearchOutlined />}>查找客户</Button>
      </div>
      <div className="custom">
        <div className="flex">
          <p>客户信息</p>
          {/* <img src="./jt.png" className="more" alt="" /> */}
          <img src={require('../assets/images/jt.png')} alt="" />
        </div>
      </div>
    </Spin>
  )
}

export default Home;
